Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.stat
Class Metric

    java.lang.Object
      net.sourceforge.pmd.stat.Metric

public class Metric
extends java.lang.Object

Author:
  David Dixon-Peugh

  This class holds all sorts of statistical information.

Constructor Summary
`Metric(java.lang.String name, int count, double total, double low, double high, double mean, double stddev)`

Method Summary
`double` | `getAverage()`
`int` | `getCount()`
`double` | `getHighValue()`
`double` | `getLowValue()`
`java.lang.String` | `getMetricName()`
`double` | `getStandardDeviation()`
`double` | `getTotal()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Metric

    public Metric(java.lang.String name,
                  int count,
                  double total,
                  double low,
                  double high,
                  double mean,
                  double stddev)

Method Detail

### getMetricName

    public java.lang.String getMetricName()

### getLowValue

    public double getLowValue()

### getHighValue

    public double getHighValue()

### getAverage

    public double getAverage()

### getStandardDeviation

    public double getStandardDeviation()

### getCount

    public int getCount()

### getTotal

    public double getTotal()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.